import { ViewArrayFactory } from './view-array.factory';
import { ViewArray } from './view-array';


describe("Factory: ViewArrayFactory", () => {
  var viewArrayFactory: ViewArrayFactory;
  var $intervalMock: any;

  beforeEach(() => {
    $intervalMock = jasmine.createSpy('$intervalSpy');
    $intervalMock.cancel = jasmine.createSpy('cancelSpy');
    viewArrayFactory = new ViewArrayFactory($intervalMock)
  });

  describe("constructor", () => {

  });

  describe("create", () => {

    it("returns a ViewArray object", () => {
      var viewArray: ViewArray = viewArrayFactory.create();

      expect(viewArray).toBeDefined();
    });
  });
});